Package org.eclipse.birt.chart.event

# Class MarkerInstruction

java.lang.Object
org.eclipse.birt.chart.event.MarkerInstruction

All Implemented Interfaces:
  `Comparable`, `IRenderInstruction`

public class MarkerInstruction extends Object implements IRenderInstruction
This class wraps a rendering event for Marker

## Constructor Summary

Constructors
Constructor
Description
`MarkerInstruction(DeferredCache dc, PrimitiveRenderEvent pre, int iInstruction, double iMarkerSize, int zOrder)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object o)`
`final Bounds`
`getBounds()`
`final PrimitiveRenderEvent`
`getEvent()`
Returns the associated event.
`final int`
`getInstruction()`
Returns the associated instruction.
`final double`
`getMarkerSize()`
Returns the size of marker
`final int`
`getMarkerZOrder()`
Returns the zOrder of marker
`List`
`getModel()`
`boolean`
`isModel()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MarkerInstruction

public MarkerInstruction(DeferredCache dc, PrimitiveRenderEvent pre, int iInstruction, double iMarkerSize, int zOrder)

## Method Details

### compareTo

public int compareTo(Object o)

Specified by:
  `compareTo` in interface `Comparable`

### getEvent

public final PrimitiveRenderEvent getEvent()
Returns the associated event.

Specified by:
  `getEvent` in interface `IRenderInstruction`
Returns:
  Render Event

### getInstruction

public final int getInstruction()
Description copied from interface: `IRenderInstruction`
Returns the associated instruction.

Specified by:
  `getInstruction` in interface `IRenderInstruction`
Returns:
  Returns the associated instruction. The value could be one of these:
  - PrimitiveRenderEvent.DRAW
  - PrimitiveRenderEvent.FILL

### getMarkerSize

public final double getMarkerSize()
Returns the size of marker

Returns:
  marker size

### getBounds

public final Bounds getBounds()

Specified by:
  `getBounds` in interface `IRenderInstruction`
Returns:
  Returns the minimum bounds required to contain the rendering area of associated rendering event.

### getModel

public List getModel()

Specified by:
  `getModel` in interface `IRenderInstruction`
Returns:
  Returns list of events currently wraps.

### isModel

public boolean isModel()

Specified by:
  `isModel` in interface `IRenderInstruction`
Returns:
  Returns if wraps multiple events currently.

### getMarkerZOrder

public final int getMarkerZOrder()
Returns the zOrder of marker

Returns:
  marker zOrder